Index: t3lib/class.t3lib_tcemain.php
===================================================================
--- t3lib/class.t3lib_tcemain.php	(revision 9580)
+++ t3lib/class.t3lib_tcemain.php	(revision )
@@ -5826,63 +5818,63 @@
 	 * @param	integer		Positioning PID, either >=0 (pointing to page in which case we find sorting number for first record in page) or <0 (pointing to record in which case to find next sorting number after this record)
 	 * @return	mixed		Returns integer if PID is >=0, otherwise an array with PID and sorting number. Possibly false in case of error.
 	 */
-	function getSortNumber($table,$uid,$pid)	{
+	function getSortNumber($table, $uid, $pid) {
 		global $TCA;
-		if ($TCA[$table] && $TCA[$table]['ctrl']['sortby'])	{
+		if ($TCA[$table] && $TCA[$table]['ctrl']['sortby']) {
 			$sortRow = $TCA[$table]['ctrl']['sortby'];
-			if ($pid>=0)	{	// Sorting number is in the top
+			if ($pid >= 0) { // Sorting number is in the top
-				$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($sortRow.',pid,uid', $table, 'pid='.intval($pid).$this->deleteClause($table), '', $sortRow.' ASC', '1');		// Fetches the first record under this pid
+				$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($sortRow . ',pid,uid', $table, 'pid=' . intval($pid) . $this->deleteClause($table), '', $sortRow . ' ASC', '1'); // Fetches the first record under this pid
-				if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res))	{	// There was an element
+				if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) { // There was an element
-					if ($row['uid']==$uid)	{	// The top record was the record it self, so we return its current sortnumber
+					if ($row['uid'] == $uid) { // The top record was the record it self, so we return its current sortnumber
 						return $row[$sortRow];
 					}
-					if ($row[$sortRow] < 1) {	// If the pages sortingnumber < 1 we must resort the records under this pid
+					if ($row[$sortRow] < 1) { // If the pages sortingnumber < 1 we must resort the records under this pid
-						$this->resorting($table,$pid,$sortRow,0);
+						$this->resorting($table, $pid, $sortRow, 0);
-						return $this->sortIntervals;	// First sorting number after resorting
+						return $this->sortIntervals; // First sorting number after resorting
 					} else {
-						return floor($row[$sortRow]/2);	// Sorting number between current top element and zero
+						return floor($row[$sortRow] / 2); // Sorting number between current top element and zero
 					}
-				} else {	// No pages, so we choose the default value as sorting-number
+				} else { // No pages, so we choose the default value as sorting-number
-					return $this->sortIntervals;	// First sorting number if no elements.
+					return $this->sortIntervals; // First sorting number if no elements.
 				}
-			} else {	// Sorting number is inside the list
+			} else { // Sorting number is inside the list
-				$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($sortRow.',pid,uid', $table, 'uid='.abs($pid).$this->deleteClause($table));		// Fetches the record which is supposed to be the prev record
+				$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($sortRow . ',pid,uid', $table, 'uid=' . abs($pid) . $this->deleteClause($table)); // Fetches the record which is supposed to be the prev record
-				if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res))	{	// There was a record
+				if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) { // There was a record
 
 						// Look, if the record UID happens to be an offline record. If so, find its live version. Offline uids will be used when a page is versionized as "branch" so this is when we must correct - otherwise a pid of "-1" and a wrong sort-row number is returned which we don't want.
-					if ($lookForLiveVersion = t3lib_BEfunc::getLiveVersionOfRecord($table,$row['uid'],$sortRow.',pid,uid'))	{
+					if ($lookForLiveVersion = t3lib_BEfunc::getLiveVersionOfRecord($table, $row['uid'], $sortRow . ',pid,uid')) {
-						$row = 	$lookForLiveVersion;
+						$row = $lookForLiveVersion;
 					}
 
 						// If the record should be inserted after itself, keep the current sorting information:
-					if ($row['uid']==$uid)	{
+					if ($row['uid'] == $uid) {
 						$sortNumber = $row[$sortRow];
 					} else {
 						$subres = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
-							$sortRow.',pid,uid',
+							$sortRow . ',pid,uid',
 							$table,
-							'pid='.intval($row['pid']).' AND '.$sortRow.'>='.intval($row[$sortRow]).$this->deleteClause($table),
+							'pid=' . intval($row['pid']) . ' AND ' . $sortRow . '>=' . intval($row[$sortRow]) . $this->deleteClause($table),
 							'',
-							$sortRow.' ASC',
+							$sortRow . ' ASC',
 							'2'
-						);		// Fetches the next record in order to calculate the in-between sortNumber
+						); // Fetches the next record in order to calculate the in-between sortNumber
-						if ($GLOBALS['TYPO3_DB']->sql_num_rows($subres)==2)	{	// There was a record afterwards
+						if ($GLOBALS['TYPO3_DB']->sql_num_rows($subres) == 2) { // There was a record afterwards
-							$GLOBALS['TYPO3_DB']->sql_fetch_assoc($subres);				// Forward to the second result...
+							$GLOBALS['TYPO3_DB']->sql_fetch_assoc($subres); // Forward to the second result...
-							$subrow = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($subres);	// There was a record afterwards
+							$subrow = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($subres); // There was a record afterwards
-							$sortNumber = $row[$sortRow]+ floor(($subrow[$sortRow]-$row[$sortRow])/2);	// The sortNumber is found in between these values
+							$sortNumber = $row[$sortRow] + floor(($subrow[$sortRow] - $row[$sortRow]) / 2); // The sortNumber is found in between these values
-							if ($sortNumber<=$row[$sortRow] || $sortNumber>=$subrow[$sortRow])	{	// The sortNumber happend NOT to be between the two surrounding numbers, so we'll have to resort the list
+							if ($sortNumber <= $row[$sortRow] || $sortNumber >= $subrow[$sortRow]) { // The sortNumber happend NOT to be between the two surrounding numbers, so we'll have to resort the list
-								$sortNumber = $this->resorting($table,$row['pid'],$sortRow,  $row['uid']);	// By this special param, resorting reserves and returns the sortnumber after the uid
+								$sortNumber = $this->resorting($table, $row['pid'], $sortRow, $row['uid']); // By this special param, resorting reserves and returns the sortnumber after the uid
 							}
-						} else {	// If after the last record in the list, we just add the sortInterval to the last sortvalue
+						} else { // If after the last record in the list, we just add the sortInterval to the last sortvalue
-							$sortNumber = $row[$sortRow]+$this->sortIntervals;
+							$sortNumber = $row[$sortRow] + $this->sortIntervals;
 						}
 						$GLOBALS['TYPO3_DB']->sql_free_result($subres);
 					}
-					return Array('pid' => $row['pid'], 'sortNumber' => $sortNumber);
+					return array('pid' => $row['pid'], 'sortNumber' => $sortNumber);
 				} else {
-					$propArr = $this->getRecordProperties($table,$uid);
+					$propArr = $this->getRecordProperties($table, $uid);
-					$this->log($table,$uid,4,0,1,"Attempt to move record '%s' (%s) to after a non-existing record (uid=%s)",1,array($propArr['header'],$table.':'.$uid,abs($pid)),$propArr['pid']);	// OK, dont insert $propArr['event_pid'] here...
+					$this->log($table, $uid, 4, 0, 1, "Attempt to move record '%s' (%s) to after a non-existing record (uid=%s)", 1, array($propArr['header'], $table . ':' . $uid, abs($pid)), $propArr['pid']); // OK, dont insert $propArr['event_pid'] here...
-					return false;	// There MUST be a page or else this cannot work
+					return FALSE; // There MUST be a page or else this cannot work
 				}
 			}
 		}
@@ -5900,24 +5892,26 @@
 	 * @access private
 	 * @see getSortNumber()
 	 */
-	function resorting($table,$pid,$sortRow, $return_SortNumber_After_This_Uid) {
+	function resorting($table, $pid, $sortRow, $return_SortNumber_After_This_Uid) {
 		global $TCA;
-		if ($TCA[$table] && $sortRow && $TCA[$table]['ctrl']['sortby']==$sortRow)	{
+		if ($TCA[$table] && $sortRow && $TCA[$table]['ctrl']['sortby'] == $sortRow) {
 			$returnVal = 0;
 			$intervals = $this->sortIntervals;
-			$i = $intervals*2;
+			$i = $intervals * 2;
 
-			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid', $table, 'pid='.intval($pid).$this->deleteClause($table), '', $sortRow.' ASC');
+			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid', $table, 'pid=' . intval($pid) . $this->deleteClause($table), '', $sortRow . ' ASC');
 			while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
-				$uid=intval($row['uid']);
+				$uid = intval($row['uid']);
-				if ($uid)	{
+				if ($uid) {
-					$GLOBALS['TYPO3_DB']->exec_UPDATEquery($table, 'uid='.intval($uid), array($sortRow=>$i));
+					$GLOBALS['TYPO3_DB']->exec_UPDATEquery($table, 'uid=' . intval($uid), array($sortRow => $i));
-					if ($uid==$return_SortNumber_After_This_Uid)	{		// This is used to return a sortingValue if the list is resorted because of inserting records inside the list and not in the top
+					if ($uid == $return_SortNumber_After_This_Uid) { // This is used to return a sortingValue if the list is resorted because of inserting records inside the list and not in the top
-						$i = $i+$intervals;
+						$i = $i + $intervals;
-						$returnVal=$i;
+						$returnVal = $i;
 					}
-				} else {die ('Fatal ERROR!! No Uid at resorting.');}
+				} else {
+					die ('Fatal ERROR!! No Uid at resorting.');
+				}
-				$i = $i+$intervals;
+				$i = $i + $intervals;
 			}
 			$GLOBALS['TYPO3_DB']->sql_free_result($res);
 			return $returnVal;
@@ -5932,12 +5926,22 @@
 	 * @param	array		TSconfig properties
 	 * @return	array		Modified Field Array
 	 */
-	function setTSconfigPermissions($fieldArray,$TSConfig_p)	{
+	function setTSconfigPermissions($fieldArray, $TSConfig_p) {
-		if (strcmp($TSConfig_p['userid'],''))	$fieldArray['perms_userid']=intval($TSConfig_p['userid']);
-		if (strcmp($TSConfig_p['groupid'],''))	$fieldArray['perms_groupid']=intval($TSConfig_p['groupid']);
-		if (strcmp($TSConfig_p['user'],''))			$fieldArray['perms_user']=t3lib_div::testInt($TSConfig_p['user']) ? $TSConfig_p['user'] : $this->assemblePermissions($TSConfig_p['user']);
-		if (strcmp($TSConfig_p['group'],''))		$fieldArray['perms_group']=t3lib_div::testInt($TSConfig_p['group']) ? $TSConfig_p['group'] : $this->assemblePermissions($TSConfig_p['group']);
-		if (strcmp($TSConfig_p['everybody'],''))	$fieldArray['perms_everybody']=t3lib_div::testInt($TSConfig_p['everybody']) ? $TSConfig_p['everybody'] : $this->assemblePermissions($TSConfig_p['everybody']);
+		if (strcmp($TSConfig_p['userid'], '')) {
+			$fieldArray['perms_userid'] = intval($TSConfig_p['userid']);
+		}
+		if (strcmp($TSConfig_p['groupid'], '')) {
+			$fieldArray['perms_groupid'] = intval($TSConfig_p['groupid']);
+		}
+		if (strcmp($TSConfig_p['user'], '')) {
+			$fieldArray['perms_user'] = t3lib_div::testInt($TSConfig_p['user']) ? $TSConfig_p['user'] : $this->assemblePermissions($TSConfig_p['user']);
+		}
+		if (strcmp($TSConfig_p['group'], '')) {
+			$fieldArray['perms_group'] = t3lib_div::testInt($TSConfig_p['group']) ? $TSConfig_p['group'] : $this->assemblePermissions($TSConfig_p['group']);
+		}
+		if (strcmp($TSConfig_p['everybody'], '')) {
+			$fieldArray['perms_everybody'] = t3lib_div::testInt($TSConfig_p['everybody']) ? $TSConfig_p['everybody'] : $this->assemblePermissions($TSConfig_p['everybody']);
+		}
 
 		return $fieldArray;
 	}
@@ -5949,19 +5953,19 @@
 	 * @param	string		Table name for which to set default values.
 	 * @return	array		Array with default values.
 	 */
-	function newFieldArray($table)	{
+	function newFieldArray($table) {
 		t3lib_div::loadTCA($table);
-		$fieldArray=Array();
+		$fieldArray = array();
 		if (is_array($GLOBALS['TCA'][$table]['columns'])) {
 			foreach ($GLOBALS['TCA'][$table]['columns'] as $field => $content) {
-				if (isset($this->defaultValues[$table][$field]))	{
+				if (isset($this->defaultValues[$table][$field])) {
 					$fieldArray[$field] = $this->defaultValues[$table][$field];
-				} elseif (isset($content['config']['default']))	{
+				} elseif (isset($content['config']['default'])) {
 					$fieldArray[$field] = $content['config']['default'];
 				}
 			}
 		}
-		if ($table==='pages')	{		// Set default permissions for a page.
+		if ($table === 'pages') { // Set default permissions for a page.
 			$fieldArray['perms_userid'] = $this->userid;
 			$fieldArray['perms_groupid'] = intval($this->BE_USER->firstMainGroup);
 			$fieldArray['perms_user'] = $this->assemblePermissions($this->defaultPermissions['user']);
@@ -5978,15 +5982,15 @@
 	 * @param	array		Incoming array (passed by reference)
 	 * @return	void
 	 */
-	function addDefaultPermittedLanguageIfNotSet($table,&$incomingFieldArray)	{
+	function addDefaultPermittedLanguageIfNotSet($table, &$incomingFieldArray) {
 		global $TCA;
 
 			// Checking languages:
-		if ($TCA[$table]['ctrl']['languageField'])	{
+		if ($TCA[$table]['ctrl']['languageField']) {
-			if (!isset($incomingFieldArray[$TCA[$table]['ctrl']['languageField']]))	{	// Language field must be found in input row - otherwise it does not make sense.
+			if (!isset($incomingFieldArray[$TCA[$table]['ctrl']['languageField']])) { // Language field must be found in input row - otherwise it does not make sense.
-				$rows = array_merge(array(array('uid'=>0)),$GLOBALS['TYPO3_DB']->exec_SELECTgetRows('uid','sys_language','pid=0'.t3lib_BEfunc::deleteClause('sys_language')),array(array('uid'=>-1)));
+				$rows = array_merge(array(array('uid' => 0)), $GLOBALS['TYPO3_DB']->exec_SELECTgetRows('uid', 'sys_language', 'pid=0' . t3lib_BEfunc::deleteClause('sys_language')), array(array('uid' => -1)));
-				foreach($rows as $r)	{
+				foreach ($rows as $r) {
-					if ($this->BE_USER->checkLanguageAccess($r['uid']))		{
+					if ($this->BE_USER->checkLanguageAccess($r['uid'])) {
 						$incomingFieldArray[$TCA[$table]['ctrl']['languageField']] = $r['uid'];
 						break;
 					}
@@ -6002,9 +6006,9 @@
 	 * @param	array		Data array with fields from table. These will be overlaid with values in $this->overrideValues[$table]
 	 * @return	array		Data array, processed.
 	 */
-	function overrideFieldArray($table,$data)	{
+	function overrideFieldArray($table, $data) {
-		if (is_array($this->overrideValues[$table]))	{
+		if (is_array($this->overrideValues[$table])) {
-			$data = array_merge($data,$this->overrideValues[$table]);
+			$data = array_merge($data, $this->overrideValues[$table]);
 		}
 		return $data;
 	}
@@ -6018,20 +6022,20 @@
 	 * @param	array		Array of field=>value pairs intended to be inserted into the database. All keys with values matching exactly the current value will be unset!
 	 * @return	array		Returns $fieldArray. If the returned array is empty, then the record should not be updated!
 	 */
-	function compareFieldArrayWithCurrentAndUnset($table,$id,$fieldArray)	{
+	function compareFieldArrayWithCurrentAndUnset($table, $id, $fieldArray) {
 
 			// Fetch the original record:
-		$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', $table, 'uid='.intval($id));
+		$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', $table, 'uid=' . intval($id));
 		$currentRecord = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res);
 
 			// If the current record exists (which it should...), begin comparison:
-		if (is_array($currentRecord))	{
+		if (is_array($currentRecord)) {
 
 				// Read all field types:
 			$c = 0;
 			$cRecTypes = array();
-			foreach($currentRecord as $col => $val)	{
+			foreach ($currentRecord as $col => $val) {
-				$cRecTypes[$col] = $GLOBALS['TYPO3_DB']->sql_field_type($res,$c);
+				$cRecTypes[$col] = $GLOBALS['TYPO3_DB']->sql_field_type($res, $c);
 				$c++;
 			}
 
@@ -6039,11 +6043,11 @@
 			$GLOBALS['TYPO3_DB']->sql_free_result($res);
 
 				// Unset the fields which are similar:
-			foreach($fieldArray as $col => $val)	{
+			foreach ($fieldArray as $col => $val) {
 				if (
 					!$GLOBALS['TCA'][$table]['columns'][$col]['config']['MM'] && // Do not unset MM relation fields, since equality of the MM count doesn't always mean that relations haven't changed.
-					( !strcmp($val,$currentRecord[$col]) ||	// Unset fields which matched exactly.
+					(!strcmp($val, $currentRecord[$col]) || // Unset fields which matched exactly.
-					  ($cRecTypes[$col]=='int' && $currentRecord[$col]==0 && !strcmp($val,''))	// Now, a situation where TYPO3 tries to put an empty string into an integer field, we should not strcmp the integer-zero and '', but rather accept them to be similar.
+					 ($cRecTypes[$col] == 'int' && $currentRecord[$col] == 0 && !strcmp($val, '')) // Now, a situation where TYPO3 tries to put an empty string into an integer field, we should not strcmp the integer-zero and '', but rather accept them to be similar.
 					)
 				) {
 					unset($fieldArray[$col]);
@@ -6060,7 +6064,7 @@
 					}
 				}
 			}
-		} else {	// If the current record does not exist this is an error anyways and we just return an empty array here.
+		} else { // If the current record does not exist this is an error anyways and we just return an empty array here.
 			$fieldArray = array();
 		}
 
@@ -6074,11 +6078,11 @@
 	 * @return	integer		Integer mask
 	 * @see setTSconfigPermissions(), newFieldArray()
 	 */
-	function assemblePermissions($string)	{
+	function assemblePermissions($string) {
-		$keyArr = t3lib_div::trimExplode(',',$string,1);
+		$keyArr = t3lib_div::trimExplode(',', $string, 1);
-		$value=0;
+		$value = 0;
 		foreach ($keyArr as $key) {
-			if ($key && isset($this->pMap[$key]))	{
+			if ($key && isset($this->pMap[$key])) {
 				$value |= $this->pMap[$key];
 			}
 		}
@@ -6091,7 +6095,7 @@
 	 * @param	string		Input string
 	 * @return	string		Output string with any comma in the end removed, if any.
 	 */
-	function rmComma($input)	{
+	function rmComma($input) {
 		return rtrim($input, ',');
 	}
 
@@ -6101,20 +6105,20 @@
 	 * @param	string		Input string
 	 * @return	string		Output string
 	 */
-	function convNumEntityToByteValue($input)	{
+	function convNumEntityToByteValue($input) {
 		$token = md5(microtime());
-		$parts = explode($token,preg_replace('/(&#([0-9]+);)/',$token.'\2'.$token,$input));
+		$parts = explode($token, preg_replace('/(&#([0-9]+);)/', $token . '\2' . $token, $input));
 
-		foreach($parts as $k => $v)	{
+		foreach ($parts as $k => $v) {
-			if ($k%2)	{
+			if ($k % 2) {
 				$v = intval($v);
-				if ($v > 32)	{	// Just to make sure that control bytes are not converted.
+				if ($v > 32) { // Just to make sure that control bytes are not converted.
-					$parts[$k] =chr(intval($v));
+					$parts[$k] = chr(intval($v));
 				}
 			}
 		}
 
-		return implode('',$parts);
+		return implode('', $parts);
 	}
 
 	/**
@@ -6123,8 +6127,8 @@
 	 * @param	string		Upload folder name, relative to PATH_site
 	 * @return	string		Input string prefixed with PATH_site
 	 */
-	function destPathFromUploadFolder($folder)	{
+	function destPathFromUploadFolder($folder) {
-		return PATH_site.$folder;
+		return PATH_site . $folder;
 	}
 
 	/**
@@ -6135,7 +6139,7 @@
 	 * @return	void
 	 */
 	public function disableDeleteClause() {
-		$this->disableDeleteClause = true;
+		$this->disableDeleteClause = TRUE;
 	}
 
 	/**
@@ -6144,11 +6148,11 @@
 	 * @param	string		Table name
 	 * @return	string		Delete clause
 	 */
-	function deleteClause($table)	{
+	function deleteClause($table) {
 			// Returns the proper delete-clause if any for a table from TCA
 		global $TCA;
 		if (!$this->disableDeleteClause && $TCA[$table]['ctrl']['delete']) {
-			return ' AND '.$table.'.'.$TCA[$table]['ctrl']['delete'].'=0';
+			return ' AND ' . $table . '.' . $TCA[$table]['ctrl']['delete'] . '=0';
 		} else {
 			return '';
 		}
@@ -6160,9 +6164,9 @@
 	 * @param	integer		Page id (PID) from which to get configuration.
 	 * @return	array		TSconfig array, if any
 	 */
-	function getTCEMAIN_TSconfig($tscPID)	{
+	function getTCEMAIN_TSconfig($tscPID) {
-		if (!isset($this->cachedTSconfig[$tscPID]))	{
+		if (!isset($this->cachedTSconfig[$tscPID])) {
-			$this->cachedTSconfig[$tscPID] = $this->BE_USER->getTSConfig('TCEMAIN',t3lib_BEfunc::getPagesTSconfig($tscPID));
+			$this->cachedTSconfig[$tscPID] = $this->BE_USER->getTSConfig('TCEMAIN', t3lib_BEfunc::getPagesTSconfig($tscPID));
 		}
 		return $this->cachedTSconfig[$tscPID]['properties'];
 	}
@@ -6175,10 +6179,11 @@
 	 * @return	array		TSconfig merged
 	 * @see getTCEMAIN_TSconfig()
 	 */
-	function getTableEntries($table,$TSconfig)	{
+	function getTableEntries($table, $TSconfig) {
-		$tA = is_array($TSconfig['table.'][$table.'.']) ? $TSconfig['table.'][$table.'.'] : array();;
+		$tA = is_array($TSconfig['table.'][$table . '.']) ? $TSconfig['table.'][$table . '.'] : array();
+		;
 		$dA = is_array($TSconfig['default.']) ? $TSconfig['default.'] : array();
-		return t3lib_div::array_merge_recursive_overrule($dA,$tA);
+		return t3lib_div::array_merge_recursive_overrule($dA, $tA);
 	}
 
 	/**
@@ -6188,9 +6193,9 @@
 	 * @param	integer		Record uid
 	 * @return	integer		PID value (unless the record did not exist in which case FALSE)
 	 */
-	function getPID($table,$uid)	{
+	function getPID($table, $uid) {
-		$res_tmp = $GLOBALS['TYPO3_DB']->exec_SELECTquery('pid', $table, 'uid='.intval($uid));
+		$res_tmp = $GLOBALS['TYPO3_DB']->exec_SELECTquery('pid', $table, 'uid=' . intval($uid));
-		if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res_tmp))	{
+		if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res_tmp)) {
 			return $row['pid'];
 		}
 	}
@@ -6201,13 +6206,13 @@
 	 *
 	 * @return	void
 	 */
-	function dbAnalysisStoreExec()	{
+	function dbAnalysisStoreExec() {
 		foreach ($this->dbAnalysisStore as $action) {
 			$id = t3lib_BEfunc::wsMapId(
 				$action[4],
 				(t3lib_div::testInt($action[2]) ? $action[2] : $this->substNEWwithIDs[$action[2]])
 			);
-			if ($id)	{
+			if ($id) {
 				$action[0]->writeMM($action[1], $id, $action[3]);
 			}
 		}
@@ -6218,7 +6223,7 @@
 	 *
 	 * @return	void
 	 */
-	function removeRegisteredFiles()	{
+	function removeRegisteredFiles() {
 		foreach ($this->removeFilesStore as $file) {
 			unlink($file);
 		}
@@ -6229,7 +6234,7 @@
 	 *
 	 * @return	integer		The number of files deleted
 	 */
-	function removeCacheFiles()	{
+	function removeCacheFiles() {
 		return t3lib_extMgm::removeCacheFiles();
 	}
 
@@ -6243,15 +6248,15 @@
 	 * @param	integer		ID of root point for new copied branch: The idea seems to be that a copy is not made of the already new page!
 	 * @return	array		Return array.
 	 */
-	function int_pageTreeInfo($CPtable,$pid,$counter, $rootID)	{
+	function int_pageTreeInfo($CPtable, $pid, $counter, $rootID) {
-		if ($counter)	{
+		if ($counter) {
-			$addW =  !$this->admin ? ' AND '.$this->BE_USER->getPagePermsClause($this->pMap['show']) : '';
+			$addW = !$this->admin ? ' AND ' . $this->BE_USER->getPagePermsClause($this->pMap['show']) : '';
-			$mres = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid', 'pages', 'pid='.intval($pid).$this->deleteClause('pages').$addW, '', 'sorting DESC');
+			$mres = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid', 'pages', 'pid=' . intval($pid) . $this->deleteClause('pages') . $addW, '', 'sorting DESC');
-			while($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($mres))	{
+			while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($mres)) {
-				if ($row['uid']!=$rootID)	{
+				if ($row['uid'] != $rootID) {
 					$CPtable[$row['uid']] = $pid;
-					if ($counter-1)	{	// If the uid is NOT the rootID of the copyaction and if we are supposed to walk further down
+					if ($counter - 1) { // If the uid is NOT the rootID of the copyaction and if we are supposed to walk further down
-						$CPtable = $this->int_pageTreeInfo($CPtable,$row['uid'],$counter-1, $rootID);
+						$CPtable = $this->int_pageTreeInfo($CPtable, $row['uid'], $counter - 1, $rootID);
 					}
 				}
 			}
@@ -6265,7 +6270,7 @@
 	 *
 	 * @return	array		Array of all TCA table names
 	 */
-	function compileAdminTables()	{
+	function compileAdminTables() {
 		return array_keys($GLOBALS['TCA']);
 	}
 
@@ -6276,25 +6281,25 @@
 	 * @param	integer		Record UID
 	 * @return	void
 	 */
-	function fixUniqueInPid($table,$uid)	{
+	function fixUniqueInPid($table, $uid) {
 		if ($GLOBALS['TCA'][$table]) {
 			t3lib_div::loadTCA($table);
-			$curData=$this->recordInfo($table,$uid,'*');
+			$curData = $this->recordInfo($table, $uid, '*');
-			$newData=array();
+			$newData = array();
 			foreach ($GLOBALS['TCA'][$table]['columns'] as $field => $conf) {
-				if ($conf['config']['type']=='input')	{
+				if ($conf['config']['type'] == 'input') {
-					$evalCodesArray = t3lib_div::trimExplode(',',$conf['config']['eval'],1);
+					$evalCodesArray = t3lib_div::trimExplode(',', $conf['config']['eval'], 1);
-					if (in_array('uniqueInPid',$evalCodesArray))	{
+					if (in_array('uniqueInPid', $evalCodesArray)) {
-						$newV = $this->getUnique($table,$field,$curData[$field],$uid,$curData['pid']);
+						$newV = $this->getUnique($table, $field, $curData[$field], $uid, $curData['pid']);
-						if (strcmp($newV,$curData[$field]))	{
+						if (strcmp($newV, $curData[$field])) {
-							$newData[$field]=$newV;
+							$newData[$field] = $newV;
 						}
 					}
 				}
 			}
 				// IF there are changed fields, then update the database
-			if (count($newData))	{
+			if (count($newData)) {
-				$this->updateDB($table,$uid,$newData);
+				$this->updateDB($table, $uid, $newData);
 			}
 		}
 	}
@@ -6310,19 +6315,19 @@
 	 * @param	array		Input array. If fields are already specified AND $update is not set, values are not set in output array.
 	 * @return	array		Output array (For when the copying operation needs to get the information instead of updating the info)
 	 */
-	function fixCopyAfterDuplFields($table,$uid,$prevUid,$update, $newData=array())	{
+	function fixCopyAfterDuplFields($table, $uid, $prevUid, $update, $newData = array()) {
 		global $TCA;
-		if ($TCA[$table] && $TCA[$table]['ctrl']['copyAfterDuplFields'])	{
+		if ($TCA[$table] && $TCA[$table]['ctrl']['copyAfterDuplFields']) {
 			t3lib_div::loadTCA($table);
-			$prevData=$this->recordInfo($table,$prevUid,'*');
+			$prevData = $this->recordInfo($table, $prevUid, '*');
-			$theFields = t3lib_div::trimExplode(',',$TCA[$table]['ctrl']['copyAfterDuplFields'],1);
+			$theFields = t3lib_div::trimExplode(',', $TCA[$table]['ctrl']['copyAfterDuplFields'], 1);
 			foreach ($theFields as $field) {
-				if ($TCA[$table]['columns'][$field] && ($update || !isset($newData[$field])))	{
+				if ($TCA[$table]['columns'][$field] && ($update || !isset($newData[$field]))) {
-					$newData[$field]=$prevData[$field];
+					$newData[$field] = $prevData[$field];
 				}
 			}
-			if ($update && count($newData))	{
+			if ($update && count($newData)) {
-				$this->updateDB($table,$uid,$newData);
+				$this->updateDB($table, $uid, $newData);
 			}
 		}
 		return $newData;
@@ -6334,8 +6339,8 @@
 	 * @param	string		Table name
 	 * @return	array		Array of fieldnames that are either "group" or "file" types.
 	 */
-	function extFileFields($table)	{
+	function extFileFields($table) {
-		$listArr=array();
+		$listArr = array();
 		t3lib_div::loadTCA($table);
 		if (isset($GLOBALS['TCA'][$table]['columns'])) {
 			foreach ($GLOBALS['TCA'][$table]['columns'] as $field => $configArr) {
@@ -6343,7 +6348,7 @@
 					($configArr['config']['internal_type'] == 'file' ||
 					 $configArr['config']['internal_type'] == 'file_reference')) {
 					$listArr[] = $field;
- 				}
+				}
 			}
 		}
 		return $listArr;
@@ -6355,15 +6360,15 @@
 	 * @param	string		Table name
 	 * @return	array		Array of fieldnames
 	 */
-	function getUniqueFields($table)	{
+	function getUniqueFields($table) {
-		$listArr=array();
+		$listArr = array();
 		t3lib_div::loadTCA($table);
 		if ($GLOBALS['TCA'][$table]['columns']) {
 			foreach ($GLOBALS['TCA'][$table]['columns'] as $field => $configArr) {
-				if ($configArr['config']['type']==='input')	{
+				if ($configArr['config']['type'] === 'input') {
-					$evalCodesArray = t3lib_div::trimExplode(',',$configArr['config']['eval'],1);
+					$evalCodesArray = t3lib_div::trimExplode(',', $configArr['config']['eval'], 1);
-					if (in_array('uniqueInPid',$evalCodesArray) || in_array('unique',$evalCodesArray))	{
+					if (in_array('uniqueInPid', $evalCodesArray) || in_array('unique', $evalCodesArray)) {
-						$listArr[]=$field;
+						$listArr[] = $field;
 					}
 				}
 			}
@@ -6377,8 +6382,8 @@
 	 * @param	array		config array for TCA/columns field
 	 * @return	boolean		True if DB reference field (group/db or select with foreign-table)
 	 */
-	function isReferenceField($conf)	{
+	function isReferenceField($conf) {
-		return ($conf['type']=='group' && $conf['internal_type']=='db' || $conf['type']=='select' && $conf['foreign_table']);
+		return ($conf['type'] == 'group' && $conf['internal_type'] == 'db' || $conf['type'] == 'select' && $conf['foreign_table']);
 	}
 
 	/**
@@ -6390,14 +6395,19 @@
 	 */
 	function getInlineFieldType($conf) {
 		if ($conf['type'] == 'inline' && $conf['foreign_table']) {
-			if ($conf['foreign_field'])
-				return 'field';		// the reference to the parent is stored in a pointer field in the child record
+			if ($conf['foreign_field']) {
+				return 'field';
+			} // the reference to the parent is stored in a pointer field in the child record
 			elseif ($conf['MM'])
-				return 'mm';		// regular MM intermediate table is used to store data
+			{
+				return 'mm';
+			} // regular MM intermediate table is used to store data
 			else
-				return 'list';		// an item list (separated by comma) is stored (like select type is doing)
+			{
+				return 'list';
+			} // an item list (separated by comma) is stored (like select type is doing)
 		}
-		return false;
+		return FALSE;
 	}
 
 
@@ -6412,27 +6422,27 @@
 	 * @param	string		Previous title we checked for (in previous recursion)
 	 * @return	string		The field value, possibly appended with a "copy label"
 	 */
-	function getCopyHeader($table,$pid,$field,$value,$count,$prevTitle='')	{
+	function getCopyHeader($table, $pid, $field, $value, $count, $prevTitle = '') {
 		global $TCA;
 
 			// Set title value to check for:
-		if ($count)	{
+		if ($count) {
-			$checkTitle = $value.rtrim(' '.sprintf($this->prependLabel($table),$count));
+			$checkTitle = $value . rtrim(' ' . sprintf($this->prependLabel($table), $count));
-		}	else {
+		} else {
 			$checkTitle = $value;
 		}
 
 			// Do check:
-		if ($prevTitle != $checkTitle || $count<100)	{
+		if ($prevTitle != $checkTitle || $count < 100) {
 			$rowCount = $GLOBALS['TYPO3_DB']->exec_SELECTcountRows(
 				'uid',
 				$table,
 				'pid=' . intval($pid) .
-					' AND ' . $field . '=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($checkTitle, $table) .
-					$this->deleteClause($table)
+				' AND ' . $field . '=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($checkTitle, $table) .
+				$this->deleteClause($table)
 			);
 			if ($rowCount) {
-				return $this->getCopyHeader($table,$pid,$field,$value,$count+1,$checkTitle);
+				return $this->getCopyHeader($table, $pid, $field, $value, $count + 1, $checkTitle);
 			}
 		}
 
@@ -6447,12 +6457,12 @@
 	 * @return	string		Label to append, containing "%s" for the number
 	 * @see getCopyHeader()
 	 */
-	function prependLabel($table)	{
+	function prependLabel($table) {
 		global $TCA;
-		if (is_object($GLOBALS['LANG']))	{
+		if (is_object($GLOBALS['LANG'])) {
 			$label = $GLOBALS['LANG']->sL($TCA[$table]['ctrl']['prependAtCopy']);
 		} else {
-			list($label) = explode('|',$TCA[$table]['ctrl']['prependAtCopy']);
+			list($label) = explode('|', $TCA[$table]['ctrl']['prependAtCopy']);
 		}
 		return $label;
 	}
